namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "strength_sap")]
public class StrengthSap : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var attack = target.BoostedStats.Attack;
        if (!target.ChangeStatBoost(Statistic.Attack, -1, false, false))
        {
            move.GetHitData(target, hit).Fail();
            return;
        }
        move.User.Heal(attack);
    }
}